#ifndef MESH_VIEW_H
#define MESH_VIEW_H

#include "my_mesh.h"
#include <QOpenGLExtraFunctions>
#include <QOpenGLShaderProgram>
#include <QOpenGLVertexArrayObject>
#include <QOpenGLBuffer>


class MeshView {
	QOpenGLVertexArrayObject vao;
	QOpenGLBuffer buffer;
	size_t nverts;

public:
	const MyMesh &mesh;

	MeshView(const MyMesh &mesh, QOpenGLShaderProgram &program);
	~MeshView();
	void paint(QOpenGLShaderProgram &program);
};


#endif